<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/escort-photos.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>

<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '';
</script>

<script type="text/javascript">
Cubix.ready = function () {
	
	var initDateFilter = function(filter_form)
	{
		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });


		$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							$(filter_form).getElement('.f-date-from').set('value', '');
							$(filter_form).getElement('.f-date-to').set('value', '');
							$(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
							$(filter_form).getElement('.f-date-to').set('disabled', 'disabled');
							$(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
							$(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});
	};

	initDateFilter('a-search-form');
	
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.AdPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.AdPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		<? if (isset($_GET['m']) && strlen($_GET['m']) > 0): ?>
		$('username').set('value', '<?= $_GET['m'] ?>');
		<? endif; ?>
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	var disable_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Disable', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/comments/disabled-reason');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					popup.close();
				});
				
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400,
		zIndex: function () { return Cubix.Popup.zIndex + 50 }
	});

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve & Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/comments/edit?act=approve');
				Cubix.Grid.Instance = grid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			{ caption: 'Disable & Save', icon: 'accept', action: function () {
				disable_popup.setTitle('Reason for disabling');
				disable_popup.load('<?= $this->baseUrl() ?>/comments/disabled-reason?id=' + this.content.getElement('input[name=id]').get('value'), function () {
					this.open();
				});
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/comments/edit?act=save');
				Cubix.Grid.Instance = grid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 680
	});
	
	popup.addEvent('loaded', function () {
		window.fireEvent('resize');
	});

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 32 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});


	var photos_popup = new Cubix.Popup.Ajax({
			width: 896,
			zIndex: function () { return Cubix.Popup.zIndex + 38 }
		});

	window.PhotosPopup = photos_popup;
	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 40 }
	});

	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 45 }
	});

    window.SmsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 39 }
	});

	/* LOAD SMS TEMPLATES */
    window.SmsPopup.addEvent('loaded', function () {
        var self = this;

        self.popup.getElements('.cx-popup-content').setStyles({'padding':'0px', border:'none'});
        $('text').set('cols', 50);
        if ($('sms_template')){
            $('sms_template').addEvent('change', function(e) {
                e.stop();

                var id = $('sms_template').get('value');
                new Request({
                    url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
                    onSuccess: function (resp) {
                        $('text').set('value', resp);
                    }.bind(this)
                }).send();
            });
        }

        var scroll = new Fx.Scroll(this.content.getElements('.messages')[0]);
        scroll.toBottom();

    });
    /* LOAD SMS TEMPLATES*/

	var ad_popup = new Cubix.Popup.Ajax({
		abar: [
			/*{ caption: 'Place New Order', icon: 'add', action: function () {
				window.PackagesPopup = PackagesPopup;
				window.OrderPopup = OrdersPopup;
				OrdersPopup.setTitle('Create New Order for Escort');
				OrdersPopup.load('/billing/orders/create?type=escort&id=' + $$('input[name=esc_id]')[0].get('value') + '&name=', function () {
					this.open();
				});
			} },*/
			{ caption: 'Save', icon: 'accept', action: function() {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ad_popup))(function (result) {
					
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	window.AdPopup = ad_popup;

	var popupClose = function(popup) {
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	ad_popup.addEvent('close', function () { window.EscortsKeyboard.deactivate(); });

	ad_popup.addEvent('loaded', function () {
        new Escort.Photos(ad_popup);
        //initTiny();

        window.fireEvent('resize');
	});


	var MemberPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	MemberPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date_expires]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		
		if ( $$('.ip-opener')[0] ){
			$$('.ip-info')[0].getElement('.ip-opener').addEvent('click', function(){
					$$('.ip-info-box').setStyle('display','block');
			});
			$$('.ip-info')[0].getElement('.close').addEvent('click', function(){
					$$('.ip-info-box').setStyle('display','none');
			});
		}

	});


	popup.addEvent('loaded', function () {

		$('c_escort').addEvent('click', function (e) {
			e.stop();

			/*var data = this.getParent('tr').rowData;
			AdPopup.data = data;*/
			AdPopup.setTitle('Edit Escort');
			AdPopup.load('<?= $this->baseUrl() ?>/advertisements/edit?id=' + $$('input[name=ad_id]')[0].get('value'), function () {
				this.open();
			});
		});

		$('c_member').addEvent('click', function (e) {
			e.stop();

			/*var data = this.getParent('tr').rowData;
			AdPopup.data = data;*/
			MemberPopup.setTitle('Edit Member');
			MemberPopup.load('<?= $this->baseUrl() ?>/users/edit?id=' + $('f_user_id').get('value'), function () {
				this.open();
			});
		});
		
		//new mootabs('r-tabs', { width: null, height: 'auto' });


		window.fireEvent('resize');
	});
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [			
			{ title: 'User', field: 'username', type: 'CommentMember', sortable: true },
			{ title: 'User ID.', field: 'user_id', type: 'number', sortable: true },
			{ title: 'Message', field: 'message', type: 'string', sortable: false, width: '240px' },
			{ title: 'Ad Id', field: 'ad_id', type: 'number', sortable: true },
			{ title: 'Date', field: 'time', type: 'DateTime', sortable: true },
			{ title: 'Status', field: 'status', type: 'string', sortable: true },
		],
		sort: {
			field: 'time',
			dir: 'desc'
		},
		actions: [
            {
                type: 'remove', func: function (data) {
                    if (confirm('Are you sure you want to delete this row?')) {
                        this.overlay.disable();
                        new Request({
                            url: '/comments/remove?id=' + data.id + '&user_id=' + data.user_id,
                            onSuccess: function (resp) {
                                this.load();
                            }.bind(this)
                        }).send();
                    }
                }
            },
            {
                type: 'edit', func: function (data) {
                    var c = '';
                    var cities = '';
                    if (data.c.length > 0)
                        c = '&c=' + data.c;
                    if (data.cities.length > 0)
                        c += '&cities=' + data.cities;
                    popup.setTitle('Edit Comment');
                    popup.load('<?= $this->baseUrl() ?>/comments/edit?id=' + data.id + c, function () {
                        this.open();
                    });
                }
            }
		],
		data: new Cubix.Grid.Loader({ url: '/comments/data', params: getFilterParams })
	});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });
	grid.addEvent('loaded', function() {

		$$('.escort-showname').addEvent('click', function(e){
			e.stop();

			var data = this.getParent('tr').rowData;
			AdPopup.setTitle('Edit Ad');
			AdPopup.load('<?= $this->baseUrl() ?>/advertisements/edit?id=' + data.ad_id, function () {
				this.open();
			});
		});
	});
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type !== 'hidden' ) {
				if ( input_type === 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type !== 'hidden' ) {
				if ( input_type === 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key === 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<fieldset class="inner mb10">
			<legend>Personal</legend>
			<div class="inner">
				<label for="username">User Name</label>
				<input id="username" type="text" class="txt w14" name="username" value="<?= $this->filter_params['username'] ?>" />
			</div>
			<div class="inner">
				<label for="username">From User ID</label>
				<input id="from_user" type="text" class="txt w14" name="from_user" value="<?= $this->filter_params['from_user'] ?>" />
			</div>
            <div class="inner">
				<label for="username">To User ID</label>
				<input id="user_id" type="text" class="txt w14" name="user_id" value="<?= $this->filter_params['user_id'] ?>" />
			</div>

			<div class="inner">
				<label for="escort_id">Ad ID</label>
				<input id="escort_id" type="text" class="txt w6" name="ad_id_f" value="<?= $this->filter_params['escort_id_f'] ?>" />
			</div>

			<div class="inner">
                <label for="comment">Comment Text</label>
                <input id="comment" type="text" class="txt w13" name="comment" value="<?= $this->filter_params['comment'] ?>" />
            </div>

			<div class="inner">
				<label for="is_active_escort">Is Active Ad </label>
				<input type="checkbox" name="is_active_ad" value="1" />
			</div>

			<div class="clear"></div>

            <div class="inner">
                <label for="status">Status</label>
                <select name="status" id="status">
                    <option value="">--- All ---</option>
                    <?php foreach (Model_Comments::$STATUSES as $k => $v): ?>
                        <option value="<?= $k ?>" <?= ( $this->filter_params['status'] == $k ) ? 'selected' : '' ?>><?= $v ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
			
			<div class="inner">
				<label for="disable_type">Disable Type</label>
				<select name="disable_type" id="disable_type">
					<option value="">--------</option>
					<?php foreach (Model_Comments::$DISABLE_TYPES as $k => $v): ?>
						<option value="<?= $k ?>" <?= ( $this->filter_params['disable_type'] == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
					<?php endforeach; ?>
				</select>
			</div>

			<div class="clear"></div>
		</fieldset>
		<!-- DATE FILTRATION -->
		<fieldset class="inner mb10">
			<legend>Date</legend>

			<div class="inner">
				<label>
					<span>Date:</span>
				</label>
				<select id="f-dates-defined" name="dates_defined" class="w10 f-dates-defined" >
					<option value=""> - any - </option>
					<option value="today">Today</option>
					<option value="yesterday">Yesterday</option>
					<option value="last_7_days">Last 7 Days</option>
					<option value="this_month">This Month</option>
					<option value="last_month">Last Month</option>
				</select>
			</div>
			<div class="inner">
				<label>
					<span>From</span>
				</label>
				<input id="f-date-from" type="text" class="txt w10 f-date-from" name="date_from" value="" />
			</div>

			<div class="inner" style="padding-top: 25px">
				<span> - </span>
			</div>

			<div class="inner">
				<label>
					<span>To</span>
				</label>
				<input id="f-date-to" type="text" class="txt w10 f-date-to" name="date_to" value=""  />
			</div>
			<div class="clear"></div>
		</fieldset>


		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Comments Found</div>

<div class="clear"></div>


<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
